#ifndef PIXMAPLABEL_H
#define PIXMAPLABEL_H

#include <QSize>
#include "clicklabel.h"

class IConLabel : public ClickLabel
{
    Q_OBJECT

public:
    explicit IConLabel(QWidget *parent = nullptr);
    ~IConLabel();

    // 应用场景四：设置跟随主题风格图标（主题中也可能不存在该图标），随主体风格：寻光、启典、合印等图标风格变化而变换，不随深浅背景色变化
    void setThemeIconSchema(const QString &schema, const QString &schemaDefault, QSize size = QSize(24, 24));

private slots:
    void on_themeIconChanged();

private:
    // 主题图标
    QString m_iconTheme;
    QString m_iconThemeDefault;
    // 主题图标大小
    QSize m_iconSize;
};

#endif // PIXMAPLABEL_H
